Package org.eclipse.graphiti.mm.pictograms.impl

# Class PictogramElementImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.graphiti.mm.impl.PropertyContainerImpl
org.eclipse.graphiti.mm.impl.GraphicsAlgorithmContainerImpl
org.eclipse.graphiti.mm.pictograms.impl.PictogramElementImpl

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`, `GraphicsAlgorithmContainer`, `PictogramElement`, `PropertyContainer`

Direct Known Subclasses:
  `AnchorContainerImpl`, `AnchorImpl`

public abstract class PictogramElementImpl extends GraphicsAlgorithmContainerImpl implements PictogramElement
An implementation of the model object 'Pictogram Element'.

The following features are implemented:

- `Visible`
- `Graphics Algorithm`
- `Active`
- `Link`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected boolean`
`active`
The cached value of the '`Active`' attribute.
`protected static final boolean`
`ACTIVE_EDEFAULT`
The default value of the '`Active`' attribute.
`protected GraphicsAlgorithm`
`graphicsAlgorithm`
The cached value of the '`Graphics Algorithm`' containment reference.
`protected PictogramLink`
`link`
The cached value of the '`Link`' containment reference.
`protected boolean`
`visible`
The cached value of the '`Visible`' attribute.
`protected static final boolean`
`VISIBLE_EDEFAULT`
The default value of the '`Visible`' attribute.

### Fields inherited from class org.eclipse.graphiti.mm.impl.PropertyContainerImpl

`properties`

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`PictogramElementImpl()`

## Method Summary

Modifier and Type
Method
Description
`GraphicsAlgorithm`
`basicGetGraphicsAlgorithm()`
`PictogramLink`
`basicGetLink()`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetGraphicsAlgorithm(GraphicsAlgorithm newGraphicsAlgorithm, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetLink(PictogramLink newLink, org.eclipse.emf.common.notify.NotificationChain msgs)`
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`protected org.eclipse.emf.ecore.EClass`
`eStaticClass()`
`void`
`eUnset(int featureID)`
`GraphicsAlgorithm`
`getGraphicsAlgorithm()`
`PictogramLink`
`getLink()`
`boolean`
`isActive()`
`boolean`
`isVisible()`
`void`
`setActive(boolean newActive)`
`void`
`setGraphicsAlgorithm(GraphicsAlgorithm newGraphicsAlgorithm)`
`void`
`setLink(PictogramLink newLink)`
`void`
`setVisible(boolean newVisible)`
`String`
`toString()`

### Methods inherited from class org.eclipse.graphiti.mm.impl.PropertyContainerImpl

`getProperties`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.graphiti.mm.PropertyContainer

`getProperties`

## Field Details

### VISIBLE_EDEFAULT

protected static final boolean VISIBLE_EDEFAULT
The default value of the '`Visible`' attribute.

See Also:
  - `isVisible()`
  - Constant Field Values

### visible

protected boolean visible
The cached value of the '`Visible`' attribute.

See Also:
  - `isVisible()`

### graphicsAlgorithm

protected GraphicsAlgorithm graphicsAlgorithm
The cached value of the '`Graphics Algorithm`' containment reference.

See Also:
  - `getGraphicsAlgorithm()`

### ACTIVE_EDEFAULT

protected static final boolean ACTIVE_EDEFAULT
The default value of the '`Active`' attribute.

See Also:
  - `isActive()`
  - Constant Field Values

### active

protected boolean active
The cached value of the '`Active`' attribute.

See Also:
  - `isActive()`

### link

protected PictogramLink link
The cached value of the '`Link`' containment reference.

See Also:
  - `getLink()`

## Constructor Details

### PictogramElementImpl

protected PictogramElementImpl()

## Method Details

### eStaticClass

protected org.eclipse.emf.ecore.EClass eStaticClass()

Overrides:
  `eStaticClass` in class `GraphicsAlgorithmContainerImpl`

### isVisible

public boolean isVisible()

Specified by:
  `isVisible` in interface `PictogramElement`
Returns:
  the value of the 'Visible' attribute.
See Also:
  - `PictogramElement.setVisible(boolean)`
  - `PictogramsPackage.getPictogramElement_Visible()`

### setVisible

public void setVisible(boolean newVisible)

Specified by:
  `setVisible` in interface `PictogramElement`
Parameters:
  `newVisible` - the new value of the 'Visible' attribute.
See Also:
  - `PictogramElement.isVisible()`

### getGraphicsAlgorithm

public GraphicsAlgorithm getGraphicsAlgorithm()

Specified by:
  `getGraphicsAlgorithm` in interface `PictogramElement`
Returns:
  the value of the 'Graphics Algorithm' containment reference.
See Also:
  - `PictogramElement.setGraphicsAlgorithm(GraphicsAlgorithm)`
  - `PictogramsPackage.getPictogramElement_GraphicsAlgorithm()`
  - `GraphicsAlgorithm.getPictogramElement()`

### basicGetGraphicsAlgorithm

public GraphicsAlgorithm basicGetGraphicsAlgorithm()

### basicSetGraphicsAlgorithm

public org.eclipse.emf.common.notify.NotificationChain basicSetGraphicsAlgorithm(GraphicsAlgorithm newGraphicsAlgorithm, org.eclipse.emf.common.notify.NotificationChain msgs)

### setGraphicsAlgorithm

public void setGraphicsAlgorithm(GraphicsAlgorithm newGraphicsAlgorithm)

Specified by:
  `setGraphicsAlgorithm` in interface `PictogramElement`
Parameters:
  `newGraphicsAlgorithm` - the new value of the 'Graphics Algorithm' containment reference.
See Also:
  - `PictogramElement.getGraphicsAlgorithm()`

### isActive

public boolean isActive()

Specified by:
  `isActive` in interface `PictogramElement`
Returns:
  the value of the 'Active' attribute.
See Also:
  - `PictogramElement.setActive(boolean)`
  - `PictogramsPackage.getPictogramElement_Active()`

### setActive

public void setActive(boolean newActive)

Specified by:
  `setActive` in interface `PictogramElement`
Parameters:
  `newActive` - the new value of the 'Active' attribute.
See Also:
  - `PictogramElement.isActive()`

### getLink

public PictogramLink getLink()

Specified by:
  `getLink` in interface `PictogramElement`
Returns:
  the value of the 'Link' containment reference.
See Also:
  - `PictogramElement.setLink(PictogramLink)`
  - `PictogramsPackage.getPictogramElement_Link()`
  - `PictogramLink.getPictogramElement()`

### basicGetLink

public PictogramLink basicGetLink()

### basicSetLink

public org.eclipse.emf.common.notify.NotificationChain basicSetLink(PictogramLink newLink, org.eclipse.emf.common.notify.NotificationChain msgs)

### setLink

public void setLink(PictogramLink newLink)

Specified by:
  `setLink` in interface `PictogramElement`
Parameters:
  `newLink` - the new value of the 'Link' containment reference.
See Also:
  - `PictogramElement.getLink()`

### eInverseAdd

public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseAdd` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eInverseRemove

public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `PropertyContainerImpl`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `PropertyContainerImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `PropertyContainerImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `PropertyContainerImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `PropertyContainerImpl`

### toString

public String toString()

Overrides:
  `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`